<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [CorpIndustryData](./bitburner.corpindustrydata.md) &gt; [requiredMaterials](./bitburner.corpindustrydata.requiredmaterials.md)

## CorpIndustryData.requiredMaterials property

**Signature:**

```typescript
requiredMaterials: Partial<Record<CorpMaterialName, number>>;
```
